|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
Power Control Communication Interface
Power Control

Contains functions use to interface to Graphical User Interface or Power Board Visualizer. More...

Collaboration diagram for Power Control Communication Interface:

## Files
file | pwrctrl_comm_interface.c
| Contains power control interface with communication/gui.
file | pwrctrl_comm_interface.h
| Contains public functions relevant for power control communication interface.

## Functions
uint16_t | PwrCtrl_GetPhase_P2SDegree (void)
| API function to set the power control State.
void | Dev_PwrCtrl_SetState (uint16_t reference)
| API function to set the power control State.
void | PwrCtrl_SetIReference (uint16_t reference)
| API function to set the current controller reference.
void | PwrCtrl_SetVSecReference (uint16_t reference)
| API function to set the secondary voltage controller reference.
void | PwrCtrl_SetPwrReference (uint16_t reference)
| API function to set the power controller reference.
void | PwrCtrl_SetPeriodTarget (uint16_t reference)
| API function to set the target period.
void | PwrCtrl_SetPhaseTarget (uint16_t reference)
| API function to set the target PWM phase.
void | PwrCtrl_SetP2SPhaseTarget (uint16_t reference)
| API function to set the target prim to sec phase which will steer other modulation.
void | PwrCtrl_SetEnable (bool enable)
| API function to set the power control enable bit.
uint16_t | PwrCtrl_GetAdc_Ipri_ct (void)
| API function to get the raw ADC value for primary current transformer current.
uint16_t | PwrCtrl_GetAdc_Isec_ct (void)
| API function to get the raw ADC value for secondary current transformer current.
uint16_t | PwrCtrl_GetAdc_Isec_avg (void)
| API function to get the raw ADC value for secondary average current.
uint16_t | PwrCtrl_GetAdc_Temperature (void)
| API function to get the raw ADC value for temperature.
uint16_t | PwrCtrl_GetAdc_Vrail_5V (void)
| API function to get the raw ADC value for 5V rail.
uint16_t | Dev_PwrCtrl_Get_Period (void)
| API function to get the PWM period.
uint16_t | Dev_PwrCtrl_Get_DutyCycle (void)
| API function to get the PWM duty cycle.
uint16_t | Dev_PwrCtrl_Get_State (void)
| API function to get the current state of the state machine.
uint16_t | Dev_PwrCtrl_Get_Status (void)
| API function to get the power control status.
uint16_t | Dev_PwrCtrl_Get_EnableFlag (void)
| API function to get the state of the power control enable bit.
uint16_t | Dev_PwrCtrl_Get_PwmprdTarget (void)
| API function to get the PWM period target.
uint16_t | Dev_PwrCtrl_Get_SecPower (void)
| API function to get the secondary power.
uint16_t | Dev_PwrCtrl_GetAveraging_Vprim (void)
| API function to get the average value of the sampled ADC for primary voltage.
uint16_t | Dev_PwrCtrl_GetAveraging_Vsec (void)
| API function to get the average value of the sampled ADC for secondary voltage.
uint16_t | Dev_PwrCtrl_GetAveraging_Isec (void)
| API function to get the average value of the sampled ADC for secondary current.

## Detailed Description

This document covers the functions that sets or gets the power control properties relevant to the Power Board Visualizer.

## Function Documentation

## ◆ Dev_PwrCtrl_Get_DutyCycle()

uint16_t Dev_PwrCtrl_Get_DutyCycle | ( | void |  | ) |

Returns
  value DAB duty cycle

Definition at line 168 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ Dev_PwrCtrl_Get_EnableFlag()

uint16_t Dev_PwrCtrl_Get_EnableFlag | ( | void |  | ) |

Returns
  true flag bit is enabled
  false flag bit is disabled

Definition at line 199 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_Get_Period()

uint16_t Dev_PwrCtrl_Get_Period | ( | void |  | ) |

Returns
  value DAB period

Definition at line 158 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_Get_PwmprdTarget()

uint16_t Dev_PwrCtrl_Get_PwmprdTarget | ( | void |  | ) |

Returns
  value DAB PWM period target value

Definition at line 209 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_Get_SecPower()

uint16_t Dev_PwrCtrl_Get_SecPower | ( | void |  | ) |

Returns
  value Secondary Power value

Definition at line 219 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_Get_State()

uint16_t Dev_PwrCtrl_Get_State | ( | void |  | ) |

Returns
  value DAB state machine

Definition at line 178 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_Get_Status()

uint16_t Dev_PwrCtrl_Get_Status | ( | void |  | ) |

Returns
  value DAB power control status

Definition at line 188 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_GetAveraging_Isec()

uint16_t Dev_PwrCtrl_GetAveraging_Isec | ( | void |  | ) |

Returns
  value Secondary Current Average Value

Definition at line 247 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_GetAveraging_Vprim()

uint16_t Dev_PwrCtrl_GetAveraging_Vprim | ( | void |  | ) |

Returns
  value Primary voltage average

Definition at line 228 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_GetAveraging_Vsec()

uint16_t Dev_PwrCtrl_GetAveraging_Vsec | ( | void |  | ) |

Returns
  value Secondary voltage average

Definition at line 237 of file pwrctrl_comm_interface.c.

## ◆ Dev_PwrCtrl_SetState()

void Dev_PwrCtrl_SetState | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 28 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_GetAdc_Ipri_ct()

uint16_t PwrCtrl_GetAdc_Ipri_ct | ( | void |  | ) |

Returns
  value Primary current transformer ADC value

Definition at line 108 of file pwrctrl_comm_interface.c.

## ◆ PwrCtrl_GetAdc_Isec_avg()

uint16_t PwrCtrl_GetAdc_Isec_avg | ( | void |  | ) |

Returns
  value Secondary current average ADC value

Definition at line 128 of file pwrctrl_comm_interface.c.

## ◆ PwrCtrl_GetAdc_Isec_ct()

uint16_t PwrCtrl_GetAdc_Isec_ct | ( | void |  | ) |

Returns
  value Secondary current transformer ADC value

Definition at line 118 of file pwrctrl_comm_interface.c.

## ◆ PwrCtrl_GetAdc_Temperature()

uint16_t PwrCtrl_GetAdc_Temperature | ( | void |  | ) |

Returns
  value temperature ADC value

Definition at line 138 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_GetAdc_Vrail_5V()

uint16_t PwrCtrl_GetAdc_Vrail_5V | ( | void |  | ) |

Returns
  value 5V rail ADC value

Definition at line 148 of file pwrctrl_comm_interface.c.

## ◆ PwrCtrl_GetPhase_P2SDegree()

uint16_t PwrCtrl_GetPhase_P2SDegree | ( | void |  | ) |

Returns
  value Control phase between primary and secondary bridge multiplied by 10 for more degrees resolution

Definition at line 18 of file pwrctrl_comm_interface.c.

## ◆ PwrCtrl_SetEnable()

void PwrCtrl_SetEnable | ( | bool | enable | ) |

Returns
  void

Definition at line 97 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetIReference()

void PwrCtrl_SetIReference | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 38 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetP2SPhaseTarget()

void PwrCtrl_SetP2SPhaseTarget | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 87 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetPeriodTarget()

void PwrCtrl_SetPeriodTarget | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 68 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetPhaseTarget()

void PwrCtrl_SetPhaseTarget | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 78 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetPwrReference()

void PwrCtrl_SetPwrReference | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 58 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_SetVSecReference()

void PwrCtrl_SetVSecReference | ( | uint16_t | reference | ) |

Returns
  void

Definition at line 48 of file pwrctrl_comm_interface.c.

Here is the caller graph for this function: